Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class PERSIST_STOREHelper

    java.lang.Object
      |
      +--org.omg.CORBA.PERSIST_STOREHelper

public class PERSIST_STOREHelper
extends java.lang.Object

Helper class for : PERSIST_STORE

Author:
  OpenORB Compiler

Constructor Summary
`PERSIST_STOREHelper()`

Method Summary
`static PERSIST_STORE` | `extract(Any a)` Extract PERSIST_STORE from an any
`static java.lang.String` | `id()` Return the PERSIST_STORE IDL ID
`static void` | `insert(Any a, PERSIST_STORE t)` Insert PERSIST_STORE into an any
`static PERSIST_STORE` | `read(InputStream istream)` Read PERSIST_STORE from a marshalled stream
`static TypeCode` | `type()` Return the PERSIST_STORE TypeCode
`static void` | `write(OutputStream ostream, PERSIST_STORE value)` Write PERSIST_STORE into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PERSIST_STOREHelper

    public PERSIST_STOREHelper()

Method Detail

### insert

    public static void insert(Any a,
                              PERSIST_STORE t)

  Insert PERSIST_STORE into an any
  Parameters:
    `a` - an any
    `t` - PERSIST_STORE value

### extract

    public static PERSIST_STORE extract(Any a)

  Extract PERSIST_STORE from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted PERSIST_STORE value

### type

    public static TypeCode type()

  Return the PERSIST_STORE TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the PERSIST_STORE IDL ID
  Returns:
    an ID

### read

    public static PERSIST_STORE read(InputStream istream)

  Read PERSIST_STORE from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed PERSIST_STORE value

### write

    public static void write(OutputStream ostream,
                             PERSIST_STORE value)

  Write PERSIST_STORE into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - PERSIST_STORE value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD